Product Key Scanner

Product Key Scanner v1.02
Copyright (c) 2021 - 2022 Nir Sofer
Web site: https://www.nirsoft.net/utils/product_key_scanner.html

Description

Product Key Scanner is a tool that scans the Registry of Windows Operating system and finds the product keys of Windows and other Microsoft products. You can scan the Registry of your current running system, as well as you can scan the Registry from external hard drive plugged to your computer.
When scanning the product keys of your current running system, you can also search product key stored in BIOS, and search product keys by using WMI.

System Requirements

This tool works on any version of Windows, starting from Windows XP, and up to Windows 10. Both 32-bit and 64-bit systems are supported.

Known Limitations

  • If you purchased a computer from a large company, the product key displayed by this tool might be different from the product key you see on the sticker. It happens because the company uses the same duplicated disk with the same product key on all computers of the same model.
  • You might see the same product key multiple times, simply because it's stored in multiple locations or because the key was found with multiple scan methods (Registry, BIOS, WMI).
  • This tool can find your product key only if it's stored on your systems. For some license types, the product key is not stored in the Registry at all.

Version History

  • Version 1.02:
    • Updated to stop the scanning process when you press the Esc key.
    • Fixed the default columns size in high DPI mode.
  • Version 1.01:
    • Added option to choose another font (name and size) to display in the main window.
    • Added option to change the sorting column from the menu (View -> Sort By). Like the column header click sorting, if you click again the same sorting menu item, it'll switch between ascending and descending order.
  • Version 1.00 - First release.

Start Using Product Key Scanner

Product Key Scanner doesn't require any installation process or additional DLL files. In order to start using it, simply run the executable file - ProductKeyScanner.exe
After running ProductKeyScanner.exe, the 'Scan Options' window is displayed, and you can choose to scan your current running system or to scan a system on external hard drive.

Choose the desired options, and then click the 'Ok' button in order to start searching product keys of Microsoft products on your system.

After the scan is finished, you can select one or more items in the main window (or press Ctrl+A to select all items), and then export them to csv/tab-delimited/XML/HTML file by using the 'Save Selected Items' option. You can also copy the selected items to the clipboad (Ctrl+C) and then paste them to Excel or other application. You can use the 'Copy Product Key' option (Ctrl+K) if you want to copy to the clipboard only the product key.

Translating Product Key Scanner to other languages

In order to translate Product Key Scanner to other language, follow the instructions below:
  1. Run Product Key Scanner with /savelangfile parameter:
    ProductKeyScanner.exe /savelangfile
    A file named ProductKeyScanner_lng.ini will be created in the folder of Product Key Scanner utility.
  2. Open the created language file in Notepad or in any other text editor.
  3. Translate all string entries to the desired language. Optionally, you can also add your name and/or a link to your Web site. (TranslatorName and TranslatorURL values) If you add this information, it'll be used in the 'About' window.
  4. After you finish the translation, Run ProductKeyScanner.exe, and all translated strings will be loaded from the language file.
    If you want to run Product Key Scanner without the translation, simply rename the language file, or move it to another folder.

License

This utility is released as freeware. You are allowed to freely distribute this utility via CD-ROM, DVD, Internet, or in any other way, as long as you don't charge anything for this and you don't sell it or distribute it as a part of commercial product. If you distribute this utility, you must include all files in the distribution package, without any modification !

Disclaimer

The software is provided "AS IS" without any warranty, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The author will not be liable for any special, incidental, consequential or indirect damages due to loss of data or any other reason.

Feedback

If you have any problem, suggestion, comment, or you found a bug in my utility, you can send a message to support@nirsoft.net